package br.pucrs.ages.victims.auth.config

import io.swagger.v3.oas.models.Components
import io.swagger.v3.oas.models.OpenAPI
import io.swagger.v3.oas.models.info.Info
import io.swagger.v3.oas.models.security.SecurityScheme
import io.swagger.v3.oas.models.security.SecurityScheme.Type.HTTP
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

@Configuration
class SwaggerConfiguration {

    @Bean
    fun openAPI(): OpenAPI {
        return OpenAPI()
            .info(
                Info()
                    .title("Victims Authentication API")
                    .description("Victims Authentication API documentation")
                    .version("v0.0.1")
            )
            .components(
                Components().addSecuritySchemes("bearer token", securityScheme())
            )
    }

    private fun securityScheme(): SecurityScheme =
        SecurityScheme()
        .type(HTTP)
        .scheme("bearer")
        .bearerFormat("JWT")
}