package br.pucrs.ages.victims.auth.config.security.jwt

import br.pucrs.ages.victims.auth.config.security.principal.KeycloakPrincipal
import org.springframework.security.authentication.AbstractAuthenticationToken
import org.springframework.security.core.authority.SimpleGrantedAuthority
import org.springframework.security.oauth2.jwt.Jwt

class Token(
    private val jwt: Jwt, 
    private val user: KeycloakPrincipal
) : AbstractAuthenticationToken(user.roles.map { SimpleGrantedAuthority(it) }) {

    override fun getCredentials() = jwt

    override fun getPrincipal() = user

    override fun isAuthenticated() = true
}