package br.pucrs.ages.victims.auth.repository

import br.pucrs.ages.victims.auth.domain.User
import br.pucrs.ages.victims.auth.domain.dto.Page
import java.util.*

interface UserRepository {
    fun findById(id: UUID): User
    fun findByCpf(cpf: String): Optional<User>
    fun findByEmail(email: String): Optional<User>
    fun save(user: User): User
    fun updatePasswordById(id: UUID, password: String)
    fun addRoleById(id: UUID, roleName: String)
    fun findAll(nameFilter: String?, active: Boolean?, pageNumber: Int, pageSize: Int): Page<User>
    fun deleteById(id: UUID)
}