package br.pucrs.ages.victims.auth.repository.external

import br.pucrs.ages.victims.auth.domain.dto.InviteDto
import br.pucrs.ages.victims.auth.domain.dto.UpdateInviteDto
import org.springframework.cloud.openfeign.FeignClient
import org.springframework.web.bind.annotation.*
import java.util.*

@FeignClient(name = "invite", url = "\${service.external.invite.url}")
interface InviteRepository {

    @GetMapping("/{inviteId}")
    fun findById(@PathVariable inviteId: UUID): InviteDto

    @PutMapping("/{id}", consumes = ["application/json"])
    fun updateInviteById(
        @PathVariable id: UUID,
        @RequestBody updateInviteDto: UpdateInviteDto,
        @RequestHeader("Authorization") accessToken: String
    )

}
