package br.pucrs.ages.victims.auth.service.external

import br.pucrs.ages.victims.auth.domain.dto.InviteDto
import br.pucrs.ages.victims.auth.domain.dto.UpdateInviteDto
import br.pucrs.ages.victims.auth.exception.InternalErrorException
import br.pucrs.ages.victims.auth.repository.external.InviteRepository
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service
import java.util.UUID

@Service
class InviteService(
    @Autowired
    private val inviteRepository: InviteRepository
) {

    fun findById(inviteId: UUID): InviteDto {
        return try {
            return inviteRepository.findById(inviteId)
        } catch (exception: Exception) {
            throw InternalErrorException("Um erro inesperado aconteceu ao completar o cadastro")
        }
    }

    fun markInviteAsUsed(id: UUID, userId: UUID, accessToken: String) {
        try {
            inviteRepository.updateInviteById(
                id = id,
                updateInviteDto = UpdateInviteDto(active = false, receiverId = userId),
                accessToken = accessToken)
        } catch (exception: Exception) {
            throw InternalErrorException("Erro ao atualizar convite")
        }
    }

}
