package br.pucrs.ages.victims.auth.web.representation.request

import jakarta.validation.constraints.NotBlank
import jakarta.validation.constraints.Size

data class RegisterAdminRequest(
    @field:NotBlank(message = "O nome é obrigatório")
    val name: String = "",
    @field:NotBlank(message = "O CPF é obrigatório")
    @field:Size(min = 11, max = 11, message = "O CPF deve ter 11 caracteres")
    val cpf: String = "",
    @field:NotBlank(message = "A senha é obrigatória")
    @field:Size(min = 8, max = 255, message = "A senha deve ter entre 8 e 255 dígitos")
    val password: String = "",
    @field:NotBlank(message = "O convite é obrigatório")
    val inviteId: String = ""
)